Permalink
Browse files

Always require log_buddy/version, even when Jeweler is not found.

The LogBuddy::VERSION constant is used by the RDoc task as well, so make
sure to require it in top-level, as the Rakefile won't work otherwise.
  • Loading branch information...
1 parent b00a600 commit ece3b86050af6d510f52042a31034650e07aa2e1 @Flameeyes committed Dec 21, 2011
Showing with 2 additions and 1 deletion.
  1. +2 −1 Rakefile
View
@@ -1,8 +1,9 @@
$:.unshift File.expand_path('../lib', __FILE__)
+require 'log_buddy/version'
+
begin
require 'jeweler'
- require 'log_buddy/version'
Jeweler::Tasks.new do |gem|
gem.name = "log_buddy"
gem.version = LogBuddy::Version::STRING

0 comments on commit ece3b86

Please sign in to comment.